package com.njzscloud.dispose.sys.auth.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njzscloud.dispose.sys.auth.pojo.result.EndpointResource;
import com.njzscloud.dispose.sys.auth.pojo.result.IdentityInfo;
import com.njzscloud.dispose.sys.auth.pojo.result.MenuResource;
import com.njzscloud.dispose.sys.auth.pojo.result.MyResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

@Mapper
public interface AuthMapper {

    MyResult selectUser(@Param("ew") QueryWrapper<Object> ew);

    Set<String> selectRole(@Param("userId") Long userId);

    List<MenuResource> selectUserMenu(@Param("userId") Long userId, @Param("client") Integer client);

    List<EndpointResource> selectUserEndpoint(@Param("userId") Long userId);

    List<IdentityInfo> selectUserIdentity(@Param("userId") Long userId);
}
